Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Tue, 13 Oct 2015 12:21:18 +0200

> Sorry for taking so long to try this patch out.  I tried the latest
 > patch out this evening on a new build with OSX 10.6.8 -- master branch
 > -- and the tests I performed work well -- i.e., I have a
 > default-frame-alist that creates the perfect size initial and
 > subsequent frames to precise pixel specifications using courier font
 > size 18.

I now pushed everything to master.  It's been pretty difficult to fix
the various builds.  I found a number of bugs that earlier were swept
under the lines/columns carpets.

There is one major change: Instead of

(width . 200.0)

you have to use

(width . (text-pixels . 200))

to spefify that a frame should be 200 pixels wide.  Similarly for
height.  Please report any problems you find.

Thanks, martin